Part Abschrägen

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part Chamfer and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska
Arrow-left.svg Part SectionCross.png Schnitte Vorherige:
Nächste: Spiegelung Part Mirror.png Arrow-right.svg

Part Chamfer.svg Part Abschrägen

Menüeintrag
Part → Abschrägen
Arbeitsbereich
Part
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch


Beschreibung

Abschrägen der gewählten Kante(n) eines Objekts. Ein Dialog erlaubt die Auswahl, welche Kante(n) betroffen sind, sowie die Anpassung verschiedener Abschrägungsparameter.

Abschrägungsbeispiel

Anwendung

  1. Drücke den Part Chamfer.svg-Button des Part-Arbeitsbereichs. Alternativ kannst Du Template:MenuCommand/de benutzen.
  2. Wähle die abzuschrägende Form mit dem Dialog.
  3. Wähle die abzuschrägenden Kanten durch Anklicken der entsprechenden Box im Abschrägungsdialog oder durch Auswahl direkt im Modell.
  4. Passe die Abschrägungsparameter an.
  5. Drücke OK, um den Abschrägungsdialog zu schließen und wende die Abschrägung an.

Optionen

Dialog-chamfer

  • Beim Auswählen von Kanten des Modells hast Du die Möglichkeit, nach Kanten oder Flächen auszuwählen. Bei der Wahl von Flächen werden die Kanten der Fläche ebenfalls ausgewählt.
  • Abschrägung konstanter oder variabler Länge.
    • Eine Abschrägung konstanter Länge erstellt eine Abschrägung im angegebenen Abstand mit Kanten, deren Länge mit der Länge der originalen Kante übereinstimmt.
    • Eine Abschrägung variabler Länge hat Kanten, die verschiedene Abstände zur originale Kante haben kann, so dass eine Abschrägung mit variablem Winkel entsteht.

Eigenschaften

Part_Abschrägungseigenschaften


Template:Properties Title/de

  • Daten-EigenschaftBase: Die Form, auf die die Abschrägung angewendet werden soll.
  • Daten-EigenschaftPlacement: Gibt die Ausrichtung und Position der Form im 3D-Raum an.
  • Daten-EigenschaftLabel: Bezeichnung des Objekts. Änderung nach Wahl.


Scripting

Das Abschrägung-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus durch Hinzufügen eines Abschrägung-Objekts zum Dokument verwendet werden.

Beispiel-Skript:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Erklärung Beispiel-Skript:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Erstellt einen 5 mm Würfel mit Abschrägungen. Siehe Part API für eine Erklärung der makeBox-Methode.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Fügt dem Dokument ein neues Objekt vom Typ 'Chamfer' (aus dem Part-Arbeitsbereich) mit der Bezeichnung myChamfer hinzu
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Gibt an, dass die Basisform des Abschrägung-Objekt myCube sein soll.
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Erstellt ein leeres Array myEdges und fügt die Abschrägungsparameter jeder Kante hinzu.
  • Die Syntax für jedes Element sollte sein (Kantennr., Abschrägungsstartlänge, Abschrägungsendlänge)
chmfr.Edges = myEdges
  • Setzt die Kantenattribute unseres Abschrägung-Objekts gleich mit dem gerade erzeugten Array.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • Diese Zeile verbirgt einfach myCube, damit nur das neu erzeugte myChamfer-Objekt zu sehen ist.
FreeCAD.ActiveDocument.recompute()
  • Berechnet alle geänderten Komponenten auf dem Bildschirm neu und aktualisiert die Anzeige.


Arrow-left.svg Part SectionCross.png Schnitte Vorherige:
Nächste: Spiegelung Part Mirror.png Arrow-right.svg